%define	module	Perl-Critic
%define	name	perl-%{module}
%define version 1.074
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Critique Perl source for style and standards
Url:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/Perl/%{module}-%{version}.tar.bz2
Requires:       perl(Module::Pluggable)
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(PPI) >= 1.118
BuildRequires:	perl(String::Format)
BuildRequires:	perl(Config::Tiny)
BuildRequires:  perl(IO::String)
BuildRequires:	perl(Module::Pluggable)
BuildRequires:	perl(Perl::Tidy)
BuildRequires:	perl(Set::Scalar)
BuildRequires:	perl(B::Keywords)
BuildRequires:	perl(Readonly)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Perl::Critic is an extensible framework for creating and applying coding
standards to Perl source code. Essentially, it is a static source code analysis
engine. Perl::Critic is distributed with a number of Perl::Critic::Policy
modules that attempt to enforce various coding guidelines. Most Policies are
based on Damian Conway's book Perl Best Practices. You can choose and customize
those Polices through the Perl::Critic interface. You can also create new
Policy modules that suit your own tastes.

For a convenient command-line interface to Perl::Critic, see the documentation
for perlcritic. If you want to integrate Perl::Critic with your build process,
Test::Perl::Critic provides a nice interface that is suitable for test scripts.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Perl
%{_bindir}/*
%{_mandir}/*/*




%changelog
* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.074-1mdv2008.0
+ Revision: 81160
- update to new version 1.074

* Wed Sep 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.073-1mdv2008.0
+ Revision: 79774
- update to new version 1.073

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.071-1mdv2008.0
+ Revision: 75282
- update to new version 1.071

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.061-1mdv2008.0
+ Revision: 55821
- update to new version 1.061

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-1mdv2008.0
+ Revision: 47720
- update to new version 1.06


* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdv2007.0
+ Revision: 120839
- new version

* Tue Feb 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2007.1
+ Revision: 120321
- new version

* Tue Dec 19 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2007.1
+ Revision: 100257
- new version

* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2007.1
+ Revision: 84621
- new version
- Import perl-Perl-Critic

* Sat Aug 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2007.0
- New version 0.19
- higher version needed for PPI

* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-2mdv2007.0
- requires perl(Module::Pluggable)

* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2007.0
- New version 0.18

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2007.0
- New version 0.17

* Wed May 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdk
- New release 0.16

* Tue Apr 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-2mdk
- better buildrequires syntax
- better source URL
- buildrequires fix

* Thu Mar 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdk
- New release 0.15

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-2mdk
- fix buildrequires

* Thu Feb 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdk
- New release 0.14

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.13-3mdk
- Add BuildRequires perl-IO-String

* Thu Dec 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-2mdk
- buildrequires perl-Config-Tiny

* Thu Nov 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdk
- first mdk release

